
import { connect } from 'umi';
import WorkOrder from '../../../components/Manufacture/WorkOrder/WorkOrder';

function WorkOrderComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <WorkOrder {...commonBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(WorkOrderComponent);

